> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Photography

> AI Photography API creates stylized AI photoshoot images from portraits using prompt-defined scenes and styles.



## OpenAPI

````yaml /docs/openapi.json post /api/image/effects/ai-photography
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/image/effects/ai-photography:
    post:
      tags:
        - AI IMAGE > Image Effects
      summary: AI Photography
      description: >-
        AI Photography API creates stylized AI photoshoot images from portraits
        using prompt-defined scenes and styles.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - image
                - style_title
                - style_desc
              properties:
                image:
                  type: string
                  format: binary
                  description: |-
                    Original image. 
                    - Image format: `JPEG` `JPG` `PNG` `WEBP` 
                    - Image size: No more than 10 MB. 
                    - Image resolution: Less than 4096x4096px.
                style_title:
                  type: string
                  description: >-
                    Style name (English only). Max 500 characters; extra text
                    will be automatically truncated. Use standard vocabulary to
                    pass review.
                  maxLength: 500
                style_desc:
                  type: string
                  description: >-
                    Style description (English only). Max 1000 characters; extra
                    text will be automatically truncated. Use standard
                    vocabulary to pass review.
                  maxLength: 1000
                image_size:
                  type: string
                  description: Output Image Aspect Ratio.
                  enum:
                    - auto
                    - '1:1'
                    - '2:3'
                    - '3:2'
                    - '3:4'
                    - '4:3'
                    - '4:5'
                    - '5:4'
                    - '9:16'
                    - '16:9'
                    - '21:9'
                  default: auto
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                task_type: async
                task_id: ''
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````